Bug 1979114 - Cannot create vm from 'With YAML' on CNV 2.6.5 + OCP 4.8
Summary: Cannot create vm from 'With YAML' on CNV 2.6.5 + OCP 4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-05 03:01 UTC by Guohua Ouyang
Modified: 2022-02-24 15:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: apiVersion mismatch without backward compatability Consequence: YAML get created with apiVersion newer that available in the cluster Fix: Check apiVersion available before creating the YAML Result: YAML with available apiVersion
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
error on with yaml (220.48 KB, image/png)
2021-07-05 03:01 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9412 0 None open Bug 1979114: Don't override template api in cusomtization wizard and demo yaml 2021-07-06 12:43:59 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:22 UTC

Description Guohua Ouyang 2021-07-05 03:01:28 UTC
Created attachment 1797981 [details]
error on with yaml

Description of problem:
Cannot create vm from 'With YAML' on CNV 2.6.5 + OCP 4.8, error is "The server doesn't have a resource type "kind: VirtualMachine, apiVersion: kubevirt.io/v1"."

Version-Release number of selected component (if applicable):
OCP 4.8.0-rc.1 + CNV 2.6.5

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2021-07-05 09:41:29 UTC
workaround:

a. open the create vm from 'With YAML'

edit the apiVersion:

apiVersion: kubevirt.io/v1

shlould be:

apiVersion: kubevirt.io/v1alpha3

Comment 3 Guohua Ouyang 2021-07-13 08:33:42 UTC
verified on CNV 2.6.6 + OCP master

Comment 4 mgarrell 2021-07-22 19:06:22 UTC
Merged PR for 4.8 release notes - https://github.com/openshift/openshift-docs/pull/34736

Comment 7 errata-xmlrpc 2021-10-18 17:38:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.